NVME-PRED-LAT-EVE(1)

NAME
nvme-pred-lat-event-agg-log - Send Predictable Latency Event Aggregate Log Page request, returns result and log

SYNOPSIS

nvme pred-lat-event-agg-log <device>
                        [--log-entries=<log_entries> | -e <log_entries>]
                        [--rae | -r] [--raw-binary | -b]
                        [--output-format=<fmt> | -o <fmt>] [--verbose | -v]

DESCRIPTION

Retrieves the NVMe Predictable Latency Event Aggregate Log Page from an NVMe device and provides the returned structure.

The <device> parameter is mandatory and may be either the NVMe character device (ex: /dev/nvme0), or a namespace block device (ex: /dev/nvme0n1).

On success, the returned Predictable Latency Event Aggregate Log Page structure may be returned in one of several ways depending on the option flags; the structure may parsed by the program and printed in a readable format or the raw buffer may be printed to stdout for another program to parse.

OPTIONS

-e <log_entries>, --log-entries=<log_entries>
    Retrieve the Predictable Latency Event Aggregate Log pending entries. This argument is mandatory and its success may depend on the device’s statistics to provide this log For More details see NVM Express 1.4 Spec. Section 5.14.1.11. The maximum number of log entries supported is 2044 for the device.

-r, --rae
    Retain an Asynchronous Event.

-b, --raw-binary
    Print the raw Predictable Latency Event Aggregate log buffer to stdout.

-o <fmt>, --output-format=<fmt>
    Set the reporting format to normal, json, or binary. Only one output format can be used at a time.

EXAMPLES

    • Print the Predictable Latency Event Aggregate Log page in a human readable format:

        # nvme pred-lat-event-agg-log /dev/nvme0

    • Print the raw Predictable Latency Event Aggregate log to a file:

        # nvme pred-lat-event-agg-log /dev/nvme0 --raw-binary > pred_lat_agg_log.raw

    It is probably a bad idea to not redirect stdout when using this mode.

NVME

Part of the nvme-user suite